ConteoDocs

ListInvoices

Listar facturas con filtros y paginación.

POST
/ListInvoices

Authorization

BearerAuth
AuthorizationBearer <token>

JWT token provided by G-Force. Sent in the Authorization header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://gateway-eb-develop.gforceint.com/api/v1/GFGatewayEB/ListInvoices" \  -H "Content-Type: application/json" \  -d '{    "GF_Company": "your_gforce_username",    "GF_Token": "your_gforce_password",    "Id_Pac": "EBI",    "Enterprise": "your_enterprise_code",    "Company": "your_pac_username",    "Token": "your_pac_password",    "Branch": "",    "dateFrom": "2023-01-01",    "dateTo": "2023-12-31",    "ruc": "",    "name": "",    "documentNumber": "",    "billingPoint": "",    "branchOfficeCode": "",    "pageSize": "10",    "page": "1",    "cufe": "",    "environment": "0"  }'
{
  "code": "101",
  "result": "error",
  "message": "Token de emisor invalido."
}
{
  "code": "200",
  "message": "Se retornan datos.",
  "result": "procesado",
  "currentPage": "1",
  "pageCount": "5",
  "pageSize": "10",
  "rowCount": "47",
  "data": [
    {
      "id": "12345",
      "issueDate": "2024-01-15T10:00:00-05:00",
      "validationDate": "2024-01-15T10:00:06-05:00",
      "rucReceiver": "155596713-2-2016",
      "nameReceiver": "Cliente de Prueba",
      "totalAmount": "107.00",
      "totalAmounttITBMS": "7.00",
      "status": "Autorizada",
      "cufe": "FE01200002496132-1-818283-900000202401150000000001001012...",
      "dv": "59",
      "TypeDocument": "Factura de operacion interna",
      "TypeDocumentCode": "01",
      "Ruc": "2496132-1-818283",
      "invoiceNumber": "0000000001",
      "receiverType": "Consumidor final"
    }
  ]
}